POST
/
v2
/
workspaces
/
{org_id}
/
sessions
/
import-personal
Import the actor's personal WhatsApp sessions into the active workspace
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/workspaces/{org_id}/sessions/import-personal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "items": [
    {
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "waha_session_name": "<string>",
      "event_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "error_code": "<string>",
      "error_message": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Body

application/json
session_ids
string<uuid>[]

Optional personal session ids to import. When omitted, every importable personal session owned by the actor is considered.

Response

Import attempted for every matching personal session.

items
object[]
required
request_id
string